[arch-commits] Commit in texlive-humanities/repos/extra-any (PKGBUILD PKGBUILD)

Rémy Oudompheng remy at archlinux.org
Sat Nov 11 12:12:13 UTC 2017


    Date: Saturday, November 11, 2017 @ 12:12:11
  Author: remy
Revision: 309533

archrelease: copy trunk to extra-any

Added:
  texlive-humanities/repos/extra-any/PKGBUILD
    (from rev 309532, texlive-humanities/trunk/PKGBUILD)
Deleted:
  texlive-humanities/repos/extra-any/PKGBUILD

----------+
 PKGBUILD |   94 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 47 insertions(+), 47 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-11 12:12:02 UTC (rev 309532)
+++ PKGBUILD	2017-11-11 12:12:11 UTC (rev 309533)
@@ -1,47 +0,0 @@
-# $Id$
-# Maintainer: Rémy Oudompheng <remy at archlinux.org>
-
-pkgname=texlive-humanities
-pkgver=2017.44833
-_revnr=${pkgver#2017.}
-pkgrel=1
-pkgdesc="TeX Live -  LaTeX packages for law, linguistics, social sciences, and humanities"
-license=('GPL')
-arch=(any)
-depends=('texlive-core' 'texlive-latexextra')
-optdepends=('texlive-pictures: for package qtree')
-groups=('texlive-most')
-url='http://tug.org/texlive/'
-source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
-options=('!emptydirs')
-sha256sums=('0599e0e043c29f43f5f1faef9231e77dafa7d88a7d8c679d797a8af5e56256b0')
-
-build() {
-   cd "$srcdir"
-   for p in *.tar.xz; do
-	   bsdtar -xf $p
-   done
-   rm -rf {tlpkg,doc,source} || true
-}
-
-package() {
-   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
-   sed -i '/^#/d' CONTENTS
-   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
-   install -m755 -d $pkgdir/usr/share
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
-   for dir in $wanteddirs; do
-     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
-     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
-   done
-   if [[ -d texmf-dist ]]; then
-     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
-     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
-   fi
-   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
-     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
-   fi
-
-    install -m755 -d $pkgdir/usr/bin
-    ln -s /usr/share/texmf-dist/scripts/diadia/diadia.lua ${pkgdir}/usr/bin/diadia
-}

Copied: texlive-humanities/repos/extra-any/PKGBUILD (from rev 309532, texlive-humanities/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-11-11 12:12:11 UTC (rev 309533)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-humanities
+pkgver=2017.45709
+_revnr=${pkgver#2017.}
+pkgrel=1
+pkgdesc="TeX Live -  LaTeX packages for law, linguistics, social sciences, and humanities"
+license=('GPL')
+arch=(any)
+depends=('texlive-core' 'texlive-latexextra')
+optdepends=('texlive-pictures: for package qtree')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
+options=('!emptydirs')
+sha256sums=('c161a585524418ab2e4853273f32472c7a6d06290e5e89d6e96190501b028a77')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+
+    install -m755 -d $pkgdir/usr/bin
+    ln -s /usr/share/texmf-dist/scripts/diadia/diadia.lua ${pkgdir}/usr/bin/diadia
+}


More information about the arch-commits mailing list